[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: wxwidgets2.6

On Tue, Dec 25, 2007 at 12:59:01PM +0100, Cyril Brulebois wrote:
> On 25/12/2007, Barry deFreese wrote:
> > However it fails to finish building with the private libs issues:
> > 
> > dpkg-shlibdeps: failure: couldn't find library libwx_baseu-2.6.so needed by 
> > debian/libwxgtk2.6-dev/usr/lib/libwx_gtk2u_plot-2.6.so (its RPATH is '').
> > Note: libraries are not searched in other binary packages that do not have any shlibs file.
> > To help dpkg-shlibdeps find private libraries, you might need to set LD_LIBRARY_PATH.
> > dh_shlibdeps: command returned error code 512
> > make[1]: *** [binary-common] Error 1
> Which version of dpkg-dev are you using? Dubious dpkg-dev-related
> problems stopped with dpkg-dev >= .11, IIRC. If you've got such a higher
> version, there's a bug in one of these packages.

I've seen various build failures and reverted to a pre-symbol dpkg-dev
for the buildd for now.

We need to urgently look into these - maybe those are just bugs showing
up because we're the first architecture to build those packages with the
new dpkg-dev.

If somebody encounters such a bug, it would be valuable to try a clean
GNU/Linux build first and see whether that fails as well, and then file
a regular bug without mentioning Debian GNU/Hurd.

The rest needs to be solved (I remember Raphael Hertzog mentioned that
the hurd-i386 libraries in the archive had more issues WRT symbols than
the Linux arches), let's hope it is not a very large amount of packages.


Reply to: